# Sablotron Guide and Reference

SablotSetInstanceData | Functions

#### Summary

`SablotSetInstanceData` associates user-defined pointer to the processor instance.

#### Syntax

    void SablotSetInstanceData(SablotHandle processor_,
           void *idata);

Name | Type | Description
--- | --- | ---
`processor_` | `SablotHandle` | desc
`idata` | `void*` | desc

#### Description

You may use this call to store any pointer-like value with the processor. You may obtain this value later usinf the `SablotGetInstanceData`. This is usefull for miscellaneous wrapper implementations etc.

#### See Also

Groups | [ Functions ]
Entries | [ SablotGetInstanceData | SablotHandle ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC